library ieee;
use ieee.std_logic_1164.all;

entity ANDI is
  port(A,B : in std_logic_vector(0 to 15);
       C: out std_logic_vector(0 to 15)
     );
   end ANDI;
   
   architecture beh of ANDI is
   begin
     process(A,B)
       begin
         for i in 0 to 15 loop
           C(i) <= A(i) AND B(15-i);
         end loop;
    end process;
  end beh;
  
 