libray ieee;
use ieee.std_logic_1164.all;

entity fsm is 
port (rst,clk: in std_logic;
      i: in std_logic;
      stato: out integer
      );
end fsm;

 architecture beh of fsm is
 
 begin
  process(rst,clk)
    variable st: integer;
    begin
      if rst= '1' then st := 0; --fetch
      elsif clk'event and clk='0' then
          case st is
           when 0 =>  st := 1;  -- fetch to dec
           when 1 => if i='0' then st:= 2; -- dec to ex1
                     else st:=4;  -- dec to ex2
                     end if;
           when 2 => st:= 3; -- ex1 to wb1
           when 4 => st:= 5; -- ex2 to wb2;
           when others => st:= 0; -- to fetch
        end case;
     end if;
     
     stato <= st;
  
 end process;
 
 end beh; 
           
          
