library ieee;
use ieee.std_logic_1164.all;

entity mcm is
  port (a,b: in integer;
        nw,clk: in std_logic;
        m: out integer;
        ready: out std_logic);
end mcm;

architecture beh of mcm is
   begin
    process(clk)
      variable ma, mb: integer;
      begin
         if clk'event and clk='0'then
           if nw='1' then 
             ma:=a;
             mb:=b;
             ready <= '0';
          else
             while (ma/=mb) loop
               if ma < mb  then ma := ma+a;
                else mb:= mb+b;
               end if;
             end loop;
             m<= ma;
             ready <= '1'; 
      

end beh;
      
                   